Bug 19188

Summary: Self checkout: Fine blocking checkout is missing currency symbol
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: Self checkoutAssignee: Katrin Fischer <katrin.fischer>
Status: Pushed to oldstable --- QA Contact: Martin Renvoize <martin.renvoize>
Severity: trivial    
Priority: P5 - low CC: aleisha, charles.farmer, jonathan.druart+koha, lucas, m.de.rooy, martin.renvoize
Version: masterKeywords: Academy
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03,22.05.10
Bug Depends on: 4078    
Bug Blocks:    
Attachments: Bug-19188: Self checkout missing space for price
Bug 19188: Self checkout missing space for price
Bug 19188: Self checkout missing space for price
Bug 19188: Use the Price template plugin with_symbol => 1
Bug 19188: Self checkout missing currency symbol
Bug 19188: Use the Price template plugin with_symbol => 1
Bug 19188: Self checkout missing currency symbol
Bug 19188: Use the Price template plugin with_symbol => 1
Bug 19188: Self checkout missing currency symbol
Bug 19188: Use the Price template plugin with_symbol => 1

Description Katrin Fischer 2017-08-27 11:33:48 UTC
When a fine amount is blocking the renewal in the web based self checkout, the message reads like:

... EUR15.00 ...

EUR is the active currency in my system, so display might vary a bit. We should add a space there and it might be nice to use the Price TT plugin for formatting the fine nicely.
Comment 1 Aleisha Amohia 2018-01-08 02:07:47 UTC
Can you please provide a plan of how to reproduce this and where the message shows? I can't seem to reproduce the bug but I may be trying to create it in the wrong place.
Comment 2 Katrin Fischer 2018-01-08 02:10:41 UTC
It's been a little while, did you try the web based self check with a fine amount on the account over what is set in OPACFineNoRenewals?
Comment 3 Katrin Fischer 2018-01-08 02:15:28 UTC
The problem is here:

sco-main.tt
  55 [% ELSIF ( circ_error_DEBT ) %]
  56 You owe the library [% amount %] and cannot check out.

 opac / sco / sco-main.pl
 165         if ($issue_error eq 'DEBT') {
 166             $template->param(amount => $currencySymbol.$impossible->{DEBT});
Comment 4 jwayway 2018-01-16 22:17:00 UTC
Created attachment 70577 [details] [review]
Bug-19188: Self checkout missing space for price

Test plan:
1. Under administration and system preferences, enable WebBasedSelfCheck
2. Login to localhost:8081 and issue a book
3. In OPAC give user fine by going to 'my account' at top right
4. Then under fines tab 'create manual invoice'
5. Make sure this amount is more than OPACFineNoRenenwals which can be
changed  under System prefernces
6. Back in localhost:8081, try renewing the book
7. Error 'Item cannot be checked out' should occur
8. Without patch the currency symbol and amount is together
9. With patch there should be a space in between
Comment 5 Owen Leonard 2018-01-17 13:12:58 UTC
Created attachment 70608 [details] [review]
Bug 19188: Self checkout missing space for price

Test plan:
1. Under administration and system preferences, enable WebBasedSelfCheck
2. Login to localhost:8081 and issue a book
3. In OPAC give user fine by going to 'my account' at top right
4. Then under fines tab 'create manual invoice'
5. Make sure this amount is more than OPACFineNoRenenwals which can be
   changed  under System prefernces
6. Back in localhost:8081, try renewing the book
7. Error 'Item cannot be checked out' should occur
8. Without patch the currency symbol and amount is together
9. With patch there should be a space in between

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Marcel de Rooy 2018-01-17 15:51:26 UTC
Created attachment 70624 [details] [review]
Bug 19188: Self checkout missing space for price

Test plan:
1. Under administration and system preferences, enable WebBasedSelfCheck
2. Login to localhost:8081 and issue a book
3. In OPAC give user fine by going to 'my account' at top right
4. Then under fines tab 'create manual invoice'
5. Make sure this amount is more than OPACFineNoRenenwals which can be
   changed  under System prefernces
6. Back in localhost:8081, try renewing the book
7. Error 'Item cannot be checked out' should occur
8. Without patch the currency symbol and amount is together
9. With patch there should be a space in between

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2018-01-19 18:31:53 UTC
I am wondering if we should not display the currency with the Price plugin instead.
Delaying the push for now as I do not have time to deep more into it.
Comment 8 Jonathan Druart 2018-02-01 17:44:32 UTC
Created attachment 71124 [details] [review]
Bug 19188: Use the Price template plugin with_symbol => 1

To make it displayed correctly depending on the configuration of the
currency
Comment 9 Jonathan Druart 2018-02-01 17:45:07 UTC
I have added a follow-up based on top of bug 4078.
Comment 10 Charles Farmer 2018-03-30 21:37:48 UTC
Got 2 conflicts trying to apply the patch.
Comment 11 Katrin Fischer 2023-01-26 22:57:19 UTC
Created attachment 145708 [details] [review]
Bug 19188: Self checkout missing currency symbol

Test plan:
1. Under administration and system preferences, enable WebBasedSelfCheck
2. In OPAC give user fine by going to 'my account' at top right
3. Then under fines tab 'create manual invoice'
4. Make sure this amount is more than noissuescharge which can be
   changed under system preferences
5. Go to the web based self check from the OPAC URL
6. Log in as your user
7. Try to check out an item
7. Error 'Item cannot be checked out' should occur
8. With the patch, the currency symbol should show for the amount.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Updated test plan.
Comment 12 Katrin Fischer 2023-01-26 22:57:24 UTC
Created attachment 145709 [details] [review]
Bug 19188: Use the Price template plugin with_symbol => 1

To make it displayed correctly depending on the configuration of the
currency

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2023-01-26 22:59:45 UTC
This is a bit of a rescue mission for Jenny's patch. Rebased the original patch set, fixed test plan and made sure it worked with current code.
Comment 14 David Nind 2023-01-27 17:30:12 UTC
Created attachment 145763 [details] [review]
Bug 19188: Self checkout missing currency symbol

Test plan:
1. Under administration and system preferences, enable WebBasedSelfCheck
2. In OPAC give user fine by going to 'my account' at top right
3. Then under fines tab 'create manual invoice'
4. Make sure this amount is more than noissuescharge which can be
   changed under system preferences
5. Go to the web based self check from the OPAC URL
6. Log in as your user
7. Try to check out an item
7. Error 'Item cannot be checked out' should occur
8. With the patch, the currency symbol should show for the amount.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Updated test plan.
Signed-off-by: David Nind <david@davidnind.com>
Comment 15 David Nind 2023-01-27 17:30:18 UTC
Created attachment 145764 [details] [review]
Bug 19188: Use the Price template plugin with_symbol => 1

To make it displayed correctly depending on the configuration of the
currency

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: David Nind <david@davidnind.com>
Comment 16 Martin Renvoize 2023-01-31 13:11:00 UTC
Created attachment 145864 [details] [review]
Bug 19188: Self checkout missing currency symbol

Test plan:
1. Under administration and system preferences, enable WebBasedSelfCheck
2. In OPAC give user fine by going to 'my account' at top right
3. Then under fines tab 'create manual invoice'
4. Make sure this amount is more than noissuescharge which can be
   changed under system preferences
5. Go to the web based self check from the OPAC URL
6. Log in as your user
7. Try to check out an item
7. Error 'Item cannot be checked out' should occur
8. With the patch, the currency symbol should show for the amount.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2023-01-31 13:11:07 UTC
Created attachment 145865 [details] [review]
Bug 19188: Use the Price template plugin with_symbol => 1

To make it displayed correctly depending on the configuration of the
currency

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 18 Martin Renvoize 2023-01-31 13:11:30 UTC
Great to see this rescued, Passing QA
Comment 19 Tomás Cohen Arazi 2023-01-31 13:48:04 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 20 Jacob O'Mara 2023-01-31 18:10:28 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.
Comment 21 Lucas Gass 2023-02-03 22:02:29 UTC
Backported to 22.05.x for upcoming 22.05.10